body {
    background-color: lightyellow;

}

.agenda {
    font-family: Arial, sans-serif;
    display: flex;
    flex-wrap: wrap;
    overflow-x: auto;
    /* Ajout de défilement horizontal si nécessaire */
    white-space: nowrap;
    /* Empêcher le passage à la ligne */
}

.day-column {
    width: calc(100% / 24);
    /* Calcul de la largeur en fonction des 30 jours */
    /* Ajout d'une bordure entre les jours */
    /* box-sizing: border-box; */
    /* Inclure la bordure dans la largeur */
    padding: 3px;
}

.day-header {
    font-weight: bold;
    margin-bottom: 5px;
    text-align: center;
    /* Centrer le texte */
}

.day-name {
    text-align: center;
    /* Centrer le texte */
    font-weight: bold;
}

.hour {
    width: 100%;
    text-align: right;
    border-bottom: solid 1px #ccc;
    /* padding: 2px; */
}

.event,
hauteur_numero {
    padding: 2px;
    cursor: pointer;
    font-size: 0.8em;
    font-weight: bold;
    /* Ajout du curseur de déplacement */
    user-select: none;
    /* Désactiver la sélection de texte */
}

.hauteur_numero {
    height: 28.2px;
    border-top: solid 1px #ccc;
    border-bottom: solid 1px #ccc;
    background-color: transparent;
    display: flex;
    align-items: center;
    /* Aligne verticalement au milieu */
    justify-content: center;

}

.event.dragging {
    opacity: 0.5;
    /* Opacité réduite lors du déplacement */
}

/* Style pour la boîte de dialogue modale */
.popup {
    display: none;
    position: absolute;
    /*             top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
*/
    z-index: 1000;
    background-color: white;
    padding: 20px;
    box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.75);
    border: none;
    border-radius: 5px;
    width: 20%;
}

.descr {
    display: none;
    position: absolute;
    /* top: 200px;
    left: 50%;
     transform: translate(-50%, -50%); */
    z-index: 1000;
    background-color: white;
    padding: 10px;
    box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.75);
    border: none;
    border-radius: 5px;
    width: 15%;
    font-size: 1.5em;
}

.popup::before {
    content: "";
    position: absolute;
    top: -10px;
    /* Ajustez la position verticale de la flèche */
    /*left: 50%; Centre la flèche horizontalement */
    /* margin-left: -10px; Décale la flèche de moitié de sa largeur pour la centrer */
    border-style: solid;
    border-width: 0 10px 10px 10px;
    border-color: transparent transparent black transparent;
    /* Couleur de la flèche */
}

.popup_modif::before {
    content: "";
    position: absolute;
    top: -10px;
    /* Ajustez la position verticale de la flèche */
    /*left: 50%; Centre la flèche horizontalement */
    /* margin-left: -10px; Décale la flèche de moitié de sa largeur pour la centrer */
    border-style: solid;
    border-width: 0 10px 10px 10px;
    border-color: transparent transparent black transparent;
    /* Couleur de la flèche */
}

/* Style pour le contenu de la boîte de dialogue modale */
.popup-content {
    /* Ombre */
    text-align: left;
}

input {
    padding: 10px;
    background-color: lightyellow;
    border-radius: 5px;
    border: solid 1px #ccc;
}

select {
    padding: 10px;
    border-radius: 5px;
    border: solid 1px #ccc;
}

.class_button {
    opacity: 0.2;
    padding: 10px;
    border-radius: 5px;
    border: solid 1px #ccc;
    background-color: blue;
    color: black;
}

.class_button:hover {
    opacity: 1;
}

/* Style pour le bouton de fermeture */
.close {
    position: absolute;
    top: 5px;
    right: 10px;
    color: red;
    font-weight: bold;
    cursor: pointer;
}

.insert_event {
    width: 100%;
    height: 10px;
    line-height: 2px;
    cursor: pointer;
}

.modif_event {
    width: 100%;
    height: 10px;
    line-height: 2px;
    cursor: pointer;
}

.serie {
    width: 100%;
    height: 10px;
    line-height: 2px;
    cursor: pointer;
}

.serie_emax {
    width: 100%;
    height: 10px;
    line-height: 2px;
    cursor: pointer;
}

.message {
    outline: solid 1px #ccc;
    background-color: lightyellow;
    font-weight: bold;
    padding: 10px;
    border-radius: 5px;
    /* resize: none; */
    /* Empêcher le redimensionnement manuel par l'utilisateur */
    overflow-y: none;
    /* Masquer tout débordement vertical */
}

#messageBox {
    display: none;
    /* Initially hidden */
    position: fixed;
    font-size: 1.3;
    font-weight: bold;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 100px;
    border-radius: 10px;
    background-color: lightyellow;
    border: 2px solid yellow;
    font-size: 18px;
    text-align: center;
    z-index: 1000;
    /* Ensure it's above other content */
}